﻿Shader "Custom/TestShader" {
    Properties {
            _Color ("Color", Color) = (1,1,1,1)
            _Emissive ("Emissive", Color) = (0,0,0,1)
        _Specular ("Specular", Color) = (1,1,1,1)
        _Shininess ("Shininess", Range (0.0, 1.0)) = 0.1
    }
    SubShader {
        Tags { "Queue" = "Geometry" }
        Pass
        {
            Tags{ "LightMode" = "ForwardBase" }
            CGPROGRAM

            #pragma target 3.0

            #pragma vertex mainVS
            #pragma fragment mainPS

            #include "Phong.cg"
            ENDCG    
        }

        Pass
        {
            Tags { "LightMode" = "ForwardAdd" }
            Blend One One
            CGPROGRAM

            #pragma target 3.0

            #pragma vertex mainVS
            #pragma fragment mainPS

            #include "Phong.cg"
            ENDCG    
        }  
    }
    FallBack "Diffuse"
}
